/**
 * @desc 安全校验
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** 密码 */
    password: string
}

export function request(
    params: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<string> {
    return defHttp.request(
        {
            url: '/auth/safe',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
