/**
 * @desc 删除
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** id */
    id: string
}

export function request(
    params: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<string> {
    return defHttp.request(
        {
            url: '/sys/permission/deleted',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
