/**
 * @desc 检查登录
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {}

export function request(
    params?: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<boolean> {
    return defHttp.request(
        {
            url: '/auth/valid',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
